Code::TidyAll::Role::GenericExecutable(3pm)

NAME
Code::TidyAll::Role::GenericExecutable - A role for plugins which allow you to use any executable as a transformer or validator

VERSION
version 0.85

SYNOPSIS
    package Whatever;
    use Moo;
    with 'Code::TidyAll::Role::GenericExecutable';

DESCRIPTION
This role exists for the benefit of the Code::TidyAll::Plugin::GenericTransformer and Code::TidyAll::Plugin::GenericValidator plugin classes.

ATTRIBUTES

cmd This attribute is require for any class which consumes this role.

file_flag
    If this is set then this flag is used to indicate the file passed to the command, for example something like "-f", "--file", or "--input". By default, the file is simply passed as the last argument to the command.

SUPPORT
Bugs may be submitted at <https://github.com/houseabsolute/perl-code-tidyall/issues>.

SOURCE
The source code repository for Code-TidyAll can be found at <https://github.com/houseabsolute/perl-code-tidyall>.

AUTHORS

•   Jonathan Swartz <swartz@pobox.com>

•   Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2011 - 2025 by Jonathan Swartz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

The full text of the license can be found in the LICENSE file included with this distribution.